Name:           pixman
Version:        0.11.4
Release:        1
Summary:        Pixel manipulation library
Group:          System Environment/Libraries
License:        MIT
URL:            http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkg-config

%description
Pixman is a pixel manipulation library for X and cairo.


%package devel
Summary: Pixel manipulation library development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
Development library for %{name}.


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static

make %{?_smp_mflags}

cp %{name}/.libs/libpixman-1.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static

make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q %{name}/.libs/lib%{name}-1.a ./lib%{name}-1.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*


%changelog
* Fri Jun 20 2008 Michael Perzl <michael@perzl.org> - 0.11.4-1
- updated to version 0.11.4

* Tue Jun 17 2008 Michael Perzl <michael@perzl.org> - 0.11.2-1
- updated to version 0.11.2

* Wed May 21 2008 Michael Perzl <michael@perzl.org> - 0.10.0-1
- first version for AIX V5.1 and higher
